# Directory API: People

## GET /api/directory/people/{person}

> Retrieves one specific person

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"PersonModel":{"type":"object","properties":{"fullName":{"type":"string","nullable":true},"organizationId":{"type":"string","format":"uuid"},"personCode":{"type":"string","nullable":true},"personFirstName":{"type":"string","nullable":true},"personId":{"type":"string","format":"uuid"},"personLastName":{"type":"string","nullable":true},"personType":{"type":"string","nullable":true},"userId":{"type":"string","format":"uuid"},"userName":{"type":"string","nullable":true},"userEmail":{"type":"string","nullable":true},"isAdministrator":{"type":"boolean"},"isDeveloper":{"type":"boolean"},"isLearner":{"type":"boolean"},"isOperator":{"type":"boolean"},"accessRevoked":{"type":"string","format":"date-time","nullable":true},"accessRevokedBy":{"type":"string","nullable":true},"lastAuthenticated":{"type":"string","format":"date-time","nullable":true},"userAccessGranted":{"type":"string","format":"date-time","nullable":true},"userAccessGrantedBy":{"type":"string","nullable":true},"userApproveReason":{"type":"string","nullable":true},"welcomeEmailsSentToUser":{"type":"integer","format":"int32","nullable":true},"emailAlternateEnabled":{"type":"boolean"},"emailEnabled":{"type":"boolean"},"marketingEmailEnabled":{"type":"boolean"},"phone":{"type":"string","nullable":true},"phoneFax":{"type":"string","nullable":true},"phoneHome":{"type":"string","nullable":true},"phoneOther":{"type":"string","nullable":true},"phoneWork":{"type":"string","nullable":true},"billingAddress":{"$ref":"#/components/schemas/PersonAddressModel"},"homeAddress":{"$ref":"#/components/schemas/PersonAddressModel"},"shippingAddress":{"$ref":"#/components/schemas/PersonAddressModel"},"shippingPreference":{"type":"string","nullable":true},"workAddress":{"$ref":"#/components/schemas/PersonAddressModel"},"emergencyContactName":{"type":"string","nullable":true},"emergencyContactPhone":{"type":"string","nullable":true},"emergencyContactRelationship":{"type":"string","nullable":true},"ageGroup":{"type":"string","nullable":true},"birthdate":{"type":"string","format":"date-time","nullable":true},"citizenship":{"type":"string","nullable":true},"firstLanguage":{"type":"string","nullable":true},"gender":{"type":"string","nullable":true},"language":{"type":"string","nullable":true},"region":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true},"employerGroupId":{"type":"string","format":"uuid","nullable":true},"employeeType":{"type":"string","nullable":true},"employeeUnion":{"type":"string","nullable":true},"jobDivision":{"type":"string","nullable":true},"jobTitle":{"type":"string","nullable":true},"jobsApproved":{"type":"string","format":"date-time","nullable":true},"jobsApprovedBy":{"type":"string","nullable":true},"occupationStandardId":{"type":"string","format":"uuid","nullable":true},"candidateCompletionProfilePercent":{"type":"integer","format":"int32","nullable":true},"candidateCompletionResumePercent":{"type":"integer","format":"int32","nullable":true},"candidateIsActivelySeeking":{"type":"boolean","nullable":true},"candidateIsWillingToRelocate":{"type":"boolean","nullable":true},"candidateLinkedInUrl":{"type":"string","nullable":true},"candidateOccupationList":{"type":"string","nullable":true},"immigrationApplicant":{"type":"string","nullable":true},"immigrationCategory":{"type":"string","nullable":true},"immigrationDestination":{"type":"string","nullable":true},"immigrationDisability":{"type":"string","nullable":true},"immigrationLandingDate":{"type":"string","format":"date-time","nullable":true},"immigrationNumber":{"type":"string","nullable":true},"memberEndDate":{"type":"string","format":"date-time","nullable":true},"membershipStatusItemId":{"type":"string","format":"uuid","nullable":true},"memberStartDate":{"type":"string","format":"date-time","nullable":true},"credentialingCountry":{"type":"string","nullable":true},"educationLevel":{"type":"string","nullable":true},"industryItemId":{"type":"string","format":"uuid","nullable":true},"socialInsuranceNumber":{"type":"string","nullable":true},"tradeworkerNumber":{"type":"string","nullable":true},"consentConsultation":{"type":"string","nullable":true},"consentToShare":{"type":"string","nullable":true},"referrer":{"type":"string","nullable":true},"referrerOther":{"type":"string","nullable":true},"isArchived":{"type":"boolean"},"whenArchived":{"type":"string","format":"date-time","nullable":true},"whenUnarchived":{"type":"string","format":"date-time","nullable":true},"accountReviewCompleted":{"type":"string","format":"date-time","nullable":true},"accountReviewQueued":{"type":"string","format":"date-time","nullable":true},"webSiteUrl":{"type":"string","nullable":true},"created":{"type":"string","format":"date-time"},"createdBy":{"type":"string","format":"uuid","nullable":true},"customKey":{"type":"integer","format":"int32","nullable":true},"modified":{"type":"string","format":"date-time"},"modifiedBy":{"type":"string","format":"uuid"},"sinModified":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"PersonAddressModel":{"type":"object","properties":{"addressId":{"type":"string","format":"uuid"},"city":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"postalCode":{"type":"string","nullable":true},"province":{"type":"string","nullable":true},"street1":{"type":"string","nullable":true},"street2":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/directory/people/{person}":{"get":{"tags":["Directory API: People"],"summary":"Retrieves one specific person","operationId":"retrievePerson","parameters":[{"name":"person","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/PersonModel"}}}}}}}}}
```

## HEAD /api/directory/people/{person}

> Checks for the existence of one specific person

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}}},"paths":{"/api/directory/people/{person}":{"head":{"tags":["Directory API: People"],"summary":"Checks for the existence of one specific person","operationId":"assertPerson","parameters":[{"name":"person","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}},"text/json":{"schema":{"type":"boolean"}}}}}}}}}
```

## POST /api/directory/people/collect

> Collects the list of people that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectPeople":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"userId":{"type":"string","format":"uuid","nullable":true},"emailExact":{"type":"string","nullable":true},"eventRole":{"type":"string","nullable":true},"fullName":{"type":"string","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"PersonModel":{"type":"object","properties":{"fullName":{"type":"string","nullable":true},"organizationId":{"type":"string","format":"uuid"},"personCode":{"type":"string","nullable":true},"personFirstName":{"type":"string","nullable":true},"personId":{"type":"string","format":"uuid"},"personLastName":{"type":"string","nullable":true},"personType":{"type":"string","nullable":true},"userId":{"type":"string","format":"uuid"},"userName":{"type":"string","nullable":true},"userEmail":{"type":"string","nullable":true},"isAdministrator":{"type":"boolean"},"isDeveloper":{"type":"boolean"},"isLearner":{"type":"boolean"},"isOperator":{"type":"boolean"},"accessRevoked":{"type":"string","format":"date-time","nullable":true},"accessRevokedBy":{"type":"string","nullable":true},"lastAuthenticated":{"type":"string","format":"date-time","nullable":true},"userAccessGranted":{"type":"string","format":"date-time","nullable":true},"userAccessGrantedBy":{"type":"string","nullable":true},"userApproveReason":{"type":"string","nullable":true},"welcomeEmailsSentToUser":{"type":"integer","format":"int32","nullable":true},"emailAlternateEnabled":{"type":"boolean"},"emailEnabled":{"type":"boolean"},"marketingEmailEnabled":{"type":"boolean"},"phone":{"type":"string","nullable":true},"phoneFax":{"type":"string","nullable":true},"phoneHome":{"type":"string","nullable":true},"phoneOther":{"type":"string","nullable":true},"phoneWork":{"type":"string","nullable":true},"billingAddress":{"$ref":"#/components/schemas/PersonAddressModel"},"homeAddress":{"$ref":"#/components/schemas/PersonAddressModel"},"shippingAddress":{"$ref":"#/components/schemas/PersonAddressModel"},"shippingPreference":{"type":"string","nullable":true},"workAddress":{"$ref":"#/components/schemas/PersonAddressModel"},"emergencyContactName":{"type":"string","nullable":true},"emergencyContactPhone":{"type":"string","nullable":true},"emergencyContactRelationship":{"type":"string","nullable":true},"ageGroup":{"type":"string","nullable":true},"birthdate":{"type":"string","format":"date-time","nullable":true},"citizenship":{"type":"string","nullable":true},"firstLanguage":{"type":"string","nullable":true},"gender":{"type":"string","nullable":true},"language":{"type":"string","nullable":true},"region":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true},"employerGroupId":{"type":"string","format":"uuid","nullable":true},"employeeType":{"type":"string","nullable":true},"employeeUnion":{"type":"string","nullable":true},"jobDivision":{"type":"string","nullable":true},"jobTitle":{"type":"string","nullable":true},"jobsApproved":{"type":"string","format":"date-time","nullable":true},"jobsApprovedBy":{"type":"string","nullable":true},"occupationStandardId":{"type":"string","format":"uuid","nullable":true},"candidateCompletionProfilePercent":{"type":"integer","format":"int32","nullable":true},"candidateCompletionResumePercent":{"type":"integer","format":"int32","nullable":true},"candidateIsActivelySeeking":{"type":"boolean","nullable":true},"candidateIsWillingToRelocate":{"type":"boolean","nullable":true},"candidateLinkedInUrl":{"type":"string","nullable":true},"candidateOccupationList":{"type":"string","nullable":true},"immigrationApplicant":{"type":"string","nullable":true},"immigrationCategory":{"type":"string","nullable":true},"immigrationDestination":{"type":"string","nullable":true},"immigrationDisability":{"type":"string","nullable":true},"immigrationLandingDate":{"type":"string","format":"date-time","nullable":true},"immigrationNumber":{"type":"string","nullable":true},"memberEndDate":{"type":"string","format":"date-time","nullable":true},"membershipStatusItemId":{"type":"string","format":"uuid","nullable":true},"memberStartDate":{"type":"string","format":"date-time","nullable":true},"credentialingCountry":{"type":"string","nullable":true},"educationLevel":{"type":"string","nullable":true},"industryItemId":{"type":"string","format":"uuid","nullable":true},"socialInsuranceNumber":{"type":"string","nullable":true},"tradeworkerNumber":{"type":"string","nullable":true},"consentConsultation":{"type":"string","nullable":true},"consentToShare":{"type":"string","nullable":true},"referrer":{"type":"string","nullable":true},"referrerOther":{"type":"string","nullable":true},"isArchived":{"type":"boolean"},"whenArchived":{"type":"string","format":"date-time","nullable":true},"whenUnarchived":{"type":"string","format":"date-time","nullable":true},"accountReviewCompleted":{"type":"string","format":"date-time","nullable":true},"accountReviewQueued":{"type":"string","format":"date-time","nullable":true},"webSiteUrl":{"type":"string","nullable":true},"created":{"type":"string","format":"date-time"},"createdBy":{"type":"string","format":"uuid","nullable":true},"customKey":{"type":"integer","format":"int32","nullable":true},"modified":{"type":"string","format":"date-time"},"modifiedBy":{"type":"string","format":"uuid"},"sinModified":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"PersonAddressModel":{"type":"object","properties":{"addressId":{"type":"string","format":"uuid"},"city":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"postalCode":{"type":"string","nullable":true},"province":{"type":"string","nullable":true},"street1":{"type":"string","nullable":true},"street2":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/directory/people/collect":{"post":{"tags":["Directory API: People"],"summary":"Collects the list of people that match specific criteria","operationId":"collectPeople","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectPeople"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectPeople"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectPeople"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectPeople"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PersonModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PersonModel"}}}}}}}}}}
```

## POST /api/directory/people/count

> Counts the people that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountPeople":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"userId":{"type":"string","format":"uuid","nullable":true},"emailExact":{"type":"string","nullable":true},"eventRole":{"type":"string","nullable":true},"fullName":{"type":"string","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"CountResult":{"type":"object","properties":{"count":{"type":"integer","format":"int32"},"summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/directory/people/count":{"post":{"tags":["Directory API: People"],"summary":"Counts the people that match specific criteria","operationId":"countPeople","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CountPeople"}},"application/json":{"schema":{"$ref":"#/components/schemas/CountPeople"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountPeople"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CountPeople"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## POST /api/directory/people/download

> Downloads the list of people that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectPeople":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"userId":{"type":"string","format":"uuid","nullable":true},"emailExact":{"type":"string","nullable":true},"eventRole":{"type":"string","nullable":true},"fullName":{"type":"string","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/directory/people/download":{"post":{"tags":["Directory API: People"],"summary":"Downloads the list of people that match specific criteria","operationId":"downloadPeople","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectPeople"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectPeople"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectPeople"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectPeople"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/directory/people/search

> Searches for the list of people that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchPeople":{"type":"object","properties":{"identifier":{"type":"string","format":"uuid","nullable":true},"origin":{"$ref":"#/components/schemas/Origin"},"filter":{"$ref":"#/components/schemas/QueryFilter"},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"nullable":true},"userId":{"type":"string","format":"uuid","nullable":true},"organizationId":{"type":"string","format":"uuid","nullable":true},"emailExact":{"type":"string","nullable":true},"eventRole":{"type":"string","nullable":true},"fullName":{"type":"string","nullable":true}},"additionalProperties":false},"Origin":{"type":"object","properties":{"when":{"type":"string","format":"date-time"},"organization":{"type":"string","format":"uuid"},"user":{"type":"string","format":"uuid"},"proxy":{"type":"string","format":"uuid","nullable":true},"description":{"type":"string","nullable":true},"reason":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false},"QueryFilter":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"sort":{"type":"string","nullable":true},"excludes":{"type":"string","nullable":true},"includes":{"type":"string","nullable":true},"format":{"type":"string","nullable":true}},"additionalProperties":false},"PersonMatch":{"type":"object","properties":{"personId":{"type":"string","format":"uuid"},"personFirstName":{"type":"string","nullable":true},"personLastName":{"type":"string","nullable":true},"userId":{"type":"string","format":"uuid"},"userName":{"type":"string","nullable":true},"userEmail":{"type":"string","nullable":true},"isAdministrator":{"type":"boolean"},"isDeveloper":{"type":"boolean"},"isLearner":{"type":"boolean"},"isOperator":{"type":"boolean"},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/directory/people/search":{"post":{"tags":["Directory API: People"],"summary":"Searches for the list of people that match specific criteria","operationId":"searchPeople","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchPeople"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchPeople"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchPeople"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchPeople"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PersonMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PersonMatch"}}}}}}}}}}
```
